Bug 75986 - No way to add RHN-applet to the gnome panel
No way to add RHN-applet to the gnome panel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: rhn-applet (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Veillard
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-15 11:45 EDT by Need Real Name
Modified: 2007-04-18 12:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-09-28 16:11:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-10-15 11:45:59 EDT
If the rhn-applet is not in the gnome panel at the bottom, there is no way to add it.
The old functionality of right clicking, then add applet is not present and the
applet is not present anywhere in the menus.  

I have upgraded 9 systems to 8.0 so far and one that did not have the applet
running before did not get the new applet, even after manually installing the
applet from the CD.  I can manually run it (rhn-applet-gui) and it shows up then
but it goes away the next time I log out / in.  Several other systems (7.2 and 7.3)
that DID have the applet running no longer have the applet after the upgrade to 8.0
Comment 1 Brad Coupe 2003-03-18 08:35:32 EST
I have had this problem too, with the added bonus of having the applet disappear
on me!  When it does disappear it sometimes becomes corrupted first as in bug
#76901.  So far, I haven't been able to discern any pattern in it disappearing.
 The only time I can get it back permanently (until it disappears again) is on a
new installation of 8.0.  (No, I didn't reinstall 8.0 just to get the applet
back!).  It has done so on both my desktop (Athlon XP 2000+ on an ASUS
A7V333-XL) and on my laptop (PII 233 on Gateway Solo 2500).

Thanks for your help!
Comment 2 Daniel Veillard 2003-03-18 09:03:14 EST
You can add it to the panel by:
  - opening the main gnome menu (hat on the left of the panel)
  - select "System Tools"
  - launch "Red Hat Network Alert Icon"

With GNOME v2 the application is no more an applet technically,
it doesn't use the applet APIs of GNOME and hence isn't listed as
an applet in the panel menu.

I never reproduced the disapearance of the applet from the panel,
show me a reproductible way to get this and I will look into fixing
it.

Daniel
Comment 3 Brad Coupe 2003-03-18 09:22:17 EST
Perhaps I missing something in my installation, but I don't have "Red Hat
Network Alert Icon" as an option under "System Tools".  I do have "Red Hat
Network" which launches up2date, which means the the loss of the applet is not
crucial, but it doesn't get me the applet back.

If I can figure out how or why the applet disappears, I'll pass it on.
Comment 4 Daniel Veillard 2003-03-18 10:33:24 EST
paphio:~ -> rpm -q rhn-applet
rhn-applet-2.0.9-1
paphio:~ ->


  that version is a scheduled errata for Red Hat 8. With it the applet will
show up in the menu. It should also be availble from RawHide.

Daniel
Comment 5 Need Real Name 2003-03-18 12:43:42 EST
A work around:

run the applet from the command line
> rhn-applet-gui &

Setup your desktop how you want it upon login (it may be best to login then
immediately run the above command in an terminal window you have open).

Log out and check the "Save current setup" box.

The next time you log in, the applet will be running in the notification area.

However, the problem still persists - that is, new installations are fine. 
Upgrades where the applet was not running do not get the applet and there is no
way in the menus to get the applet running.

Another problem.  Many times, the applet shrinks up horizontially so that it is
only one pixel wide.  This makes it very hard to click.  The only fix I have
found so far is to log out and back in again.
Comment 6 Brad Coupe 2003-03-18 16:44:53 EST
Another work around (at least in Gnome):  From the main menu go to "Extras" ->
"Preferences" -> "Sessions".  Go to the "Startup Programs" tab and add
"rhn-applet-gui" to the start up list.  There is likely a similar thing for KDE
although I'm not familiar with it.  This should do the same as checking the
"Current Setup Box" above, but if for some reason you have lost the applet and
save the set up again (for other reasons) the applet will come back if it is in
the start up programs.

Yeah, right now my system is up to date with rhn-applet 2.0.0-28.  Look forward
to the upcoming errata.

Thanks for your help,

Brad
Comment 7 David Balažic 2003-05-12 04:00:44 EDT
The one pixel wide applet problem is bug #75225
Comment 8 Daniel Veillard 2003-09-28 16:11:38 EDT
starting the applet from the system tools relaly work for me.
The only problem you may have and which is hard to detect is that
you must first have a notification area running in the panel otherwise
it just won't show up. To start a notification area:
   - right click on the panel
   - select add to this panel
   - then Utility
   - then notification area
I you have an rhn-applet running in the background it may appear in
the notification area is added. Otherwise:
   - Main menu
   - system tools
   - Red Hat Network Alert Icon

  this has been working fine for me in the last releases.

Daniel

Note You need to log in before you can comment on or make changes to this bug.